## openbios-sparc 1.0~alpha2+20080106

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	@mkdir -p $(ODIR)/target/arch/ppc/briq # no autodetection of those..
 	@mkdir -p $(ODIR)/target/arch/ppc/pearpc
 	@mkdir -p $(ODIR)/target/arch/ppc/mol
+	@mkdir -p $(ODIR)/target/arch/ppc/qemu
 	@mkdir -p $(ODIR)/target/arch/x86
 	@mkdir -p $(ODIR)/target/arch/x86/xbox
 	@mkdir -p $(ODIR)/target/libgcc
