## openbios-sparc 1.0+svn1018

=== debian/changelog ===
openbios-sparc (1.0+svn1018-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 0.14.x.
  * Add conflicts with qemu-system (<< 0.14.0).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 Feb 2011 11:53:29 +0100

openbios-sparc (1.0+svn821-2) experimental; urgency=low

  * Relax conflicts on qemu-system to (<< 0.13.0~). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 Aug 2010 21:30:19 +0200

openbios-sparc (1.0+svn821-1) experimental; urgency=low

  * New upstream snapshot, compatible with qemu 0.13.x.
  * Add conflicts with qemu-system (<< 0.13.0).
  * Bump Standards-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 22:55:26 +0200

openbios-sparc (1.0+svn640-1) unstable; urgency=low

  * New upstream snapshot, compatible with qemu 0.12.x.
  * Add conflicts with qemu-system (<< 0.12.0).
  * Bump Standards-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 Feb 2010 23:23:56 +0100

openbios-sparc (1.0-1) unstable; urgency=low

  * New upstream version.
  * Conflicts with qemu (<< 0.10.0).
  * debian/copyright: add two missing copyright entries. 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Mar 2009 15:10:33 +0100

openbios-sparc (1.0~alpha2+20081109-1) experimental; urgency=low

  * New SVN snapshot targeted to experimental.
  * Conflicts with qemu (<< 0.9.1+svn20081012-1).
  * Bump Standards-Version to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Nov 2008 14:36:25 +0100

openbios-sparc (1.0~alpha2+20080106-2) unstable; urgency=low

  * Conflict with qemu (<< 0.9.1) (closes: #462334). 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Jan 2008 01:51:33 +0100

openbios-sparc (1.0~alpha2+20080106-1) unstable; urgency=low

  * New SVN snapshot.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Jan 2008 18:40:44 +0100

openbios-sparc (1.0~alpha2+20070816-1) unstable; urgency=low

  * Initial Release (closes: #438178).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 16 Aug 2007 00:28:39 +0200
