=== debian/control ===
Source: openbios-sparc
Maintainer: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc
Standards-Version: 3.9.1
Homepage: http://www.openbios.org/

Package: openbios-sparc
Architecture: all
Depends: ${misc:Depends}
Conflicts: qemu (<< 0.10.0), qemu-system ( << 0.14.0)
Suggests: qemu
Description: SPARC Open Firmware
 OpenBIOS is a free, portable implementation of IEEE 1275-1994 
 (Open Firmware).
 .
 This package contains the SPARC 32-bit and SPARC 64-bit versions
 of OpenBIOS.
