=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: misc
 Priority: extra
 Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.openbios.org/
 
 Package: openbios-sparc
