## openbios-sparc 1.0+svn1060

=== debian/changelog ===
openbios-sparc (1.0+svn1060-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports (no changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 29 Oct 2012 15:54:30 +0400

openbios-sparc (1.0+svn1060-1) unstable; urgency=low

  * New upstream snapshot, shipped with qemu 1.1.0.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 09 Jun 2012 14:15:24 +0200
