=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: openbios-sparc
 Maintainer: Aurelien Jarno <aurel32@debian.org>
+Uploaders: Michael Tokarev <mjt@tls.msk.ru>
 Section: misc
 Priority: extra
 Build-Depends: debhelper (>= 6.0.7), fcode-utils, xsltproc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.openbios.org/
 
 Package: openbios-sparc
