=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,13 @@
 	tar -zcf ../openbios-sparc_$(UPSTREAM_VERSION).orig.tar.gz $(UPSTREAM_CHECKOUT)
 	rm -rf $(UPSTREAM_CHECKOUT)
 
-build: build-stamp
-build-stamp:
+build: build-arch build-indep
+
+build-arch:
+# We have nothing to do by default.
+
+build-indep: build-indep-stamp
+build-indep-stamp:
 	dh_testdir
 
 ifeq (,$(findstring $(DEB_BUILD_ARCH_CPU),sparc sparc64))
@@ -31,7 +36,7 @@
 	cd obj-sparc32 && $(MAKE) all CC="gcc -m32" HOSTCC="gcc -m32" TARGET=""
 	cd obj-sparc64 && $(MAKE) all CC="gcc -m64" HOSTCC="gcc -m64" TARGET=""
 
-	touch build-stamp
+	touch build-indep-stamp
 
 clean:
 	dh_testdir
@@ -41,7 +46,7 @@
 	rm -f *-stamp
 	dh_clean
 
-install: build
+install: build-indep
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -53,7 +58,7 @@
 
 
 # Build architecture-independent files here.
-binary-indep: build install
+binary-indep: build-indep install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -69,8 +74,8 @@
 	dh_builddeb
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: build-indep install
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
