## openbios-sparc 1.1+svn1306

=== debian/changelog ===
openbios-sparc (1.1+svn1306-1) unstable; urgency=medium

  * New upstream version for QEMU 2.1.x releases. 
  * Drop patches/01-forthstrap-unaligned.diff (merged upstream).
  * Drop patches/02-forth-stack-underflow.diff (merged upstream).
  * Drop patches/03-sparc32-booting-device.diff (merged upstream).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 Aug 2014 14:17:24 +0200

openbios-sparc (1.1+svn1229-1) unstable; urgency=low

  * New upstream version for QEMU 1.7.x releases.
  * Mark openbios-sparc as Multi-Arch: foreign.
  * Bump Standards-Version to 3.9.5.0 (no changes).
  * Build-depends on gcc-multilib. Force HOSTARCH to sparc64 to be able to
    build this package in a linux32 environment.
  * Install QEMU,tcx.bin for sparc32 (closes: #731643).
  * Add patches/01-forthstrap-unaligned.diff to fix unaligned access in
    forthstrap during build.
  * Add patches/02-forth-stack-underflow.diff and
    patches/03-sparc32-booting-device.diff to fix sparc32 boot from disk.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 Dec 2013 07:25:49 +0100

openbios-sparc (1.1-1) unstable; urgency=low

  * New upstream version for QEMU 1.5.x releases.
  * Refresh debian/patches/01_kernel-headers.diff.
  * Switch maintainer to the Debian QEMU Team, add myself as uploader.
  * Add Vcs-* field.
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of dh_clean -k.
  * Compress sources and binaries with xz.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 21:41:01 +0200
