=== debian/control ===
Source: openbios-sparc
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 7), gcc-multilib, fcode-utils, xsltproc
Standards-Version: 3.9.5.0
Homepage: http://www.openbios.org/
Vcs-Browser: http://git.debian.org/?p=pkg-qemu/openbios-sparc.git
Vcs-Git: git://git.debian.org/git/pkg-qemu/openbios-sparc.git

Package: openbios-sparc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: qemu (<< 0.10.0), qemu-system ( << 0.14.0)
Suggests: qemu
Description: SPARC Open Firmware
 OpenBIOS is a free, portable implementation of IEEE 1275-1994 
 (Open Firmware).
 .
 This package contains the SPARC 32-bit and SPARC 64-bit versions
 of OpenBIOS.
