=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	@false
 endif
 
-	config/scripts/switch-arch builtin-sparc32 builtin-sparc64
+	HOSTARCH=sparc64 config/scripts/switch-arch builtin-sparc32 builtin-sparc64
 	cd obj-sparc32 && $(MAKE) all CC="gcc -m32" HOSTCC="gcc -m32" TARGET=""
 	cd obj-sparc64 && $(MAKE) all CC="gcc -m64" HOSTCC="gcc -m64" TARGET=""
 
@@ -49,11 +49,12 @@
 install: build-indep
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	mkdir -p $(CURDIR)/debian/openbios-sparc/usr/share/openbios
 	install -m644 obj-sparc32/openbios-builtin.elf $(CURDIR)/debian/openbios-sparc/usr/share/openbios/openbios-sparc32
+	install -m644 obj-sparc32/QEMU,tcx.bin $(CURDIR)/debian/openbios-sparc/usr/share/openbios/QEMU,tcx.bin
 	install -m644 obj-sparc64/openbios-builtin.elf $(CURDIR)/debian/openbios-sparc/usr/share/openbios/openbios-sparc64
 
 
@@ -71,10 +72,10 @@
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zxz
 
 # Build architecture-dependent files here.
-binary-arch: build-indep install
+binary-arch: build-arch install
 # We have nothing to do by default.
 
 binary: binary-indep binary-arch
